Bug 123882 - Nautilus/gnome-vfs sftp:// doesn't handle first time login
Nautilus/gnome-vfs sftp:// doesn't handle first time login
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2004-05-21 06:33 EDT by Nils O. Selåsdal
Modified: 2013-04-02 00:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-15 10:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nils O. Selåsdal 2004-05-21 06:33:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
When first ssh or sftp'ing to a host you're asked to trust the
authentication of the host, e.g.
[noselasd@nos-rh noselasd]$ ssh test.fiane.intra
The authenticity of host 'test.fiane.intra (' can't be
RSA key fingerprint is XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX:XX.
Are you sure you want to continue connecting (yes/no)?

Typing sftp://test.fiane.intra/ in Nautilus when never ssh'ed to it
before gives and error: 
Couldn't display "sftp://test.fiane.intra".
Access denied.

AND leaves running ssh processes forever it seems(not zombies)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open Nautilus.
2. Connect to a host with sftp:// that you never contacted


Actual Results:  
Error messages and leaving running processes as described above.

Expected Results:  
sftp:// ought to work on hosts never contaced before. Possibly
presenting a dialog to verify the hosts authentication just like
the sftp/ssh command line does.

Additional info:

Workaround is to first ssh/sftp to the host from a commandline, and
answer yes to the "Are you sure you want to continue connecting (yes/no)?"
Comment 1 Alexander Larsson 2004-10-15 10:38:11 EDT
Fixed in gnome 2.8 (in fc3).

Note You need to log in before you can comment on or make changes to this bug.